# Uses of Class
org.apache.cxf.service.model.OperationInfo

Packages that use OperationInfo
Package
Description
org.apache.cxf.feature.validation
org.apache.cxf.interceptor
org.apache.cxf.interceptor.security
org.apache.cxf.service
org.apache.cxf.service.factory
org.apache.cxf.service.invoker
org.apache.cxf.service.model

- ## Uses of OperationInfo in org.apache.cxf.feature.validation

  Methods in org.apache.cxf.feature.validation with parameters of type OperationInfo
  Modifier and Type
  Method
  Description
  `SchemaValidation.SchemaValidationType`
  DefaultSchemaValidationTypeProvider.`getSchemaValidationType(OperationInfo info)`
  `SchemaValidation.SchemaValidationType`
  SchemaValidationTypeProvider.`getSchemaValidationType(OperationInfo info)`

- ## Uses of OperationInfo in org.apache.cxf.interceptor

  Method parameters in org.apache.cxf.interceptor with type arguments of type OperationInfo
  Modifier and Type
  Method
  Description
  `protected MessagePartInfo`
  AbstractInDatabindingInterceptor.`findMessagePart(Exchange exchange, Collection<OperationInfo> operations, QName name, boolean client, int index, Message message)`
  Find the next possible message part in the message.

- ## Uses of OperationInfo in org.apache.cxf.interceptor.security

  Methods in org.apache.cxf.interceptor.security that return OperationInfo
  Modifier and Type
  Method
  Description
  `protected OperationInfo`
  OperationInfoAuthorizingInterceptor.`getTargetOperationInfo(Message message)`

- ## Uses of OperationInfo in org.apache.cxf.service

  Methods in org.apache.cxf.service with parameters of type OperationInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceModelVisitor.`begin(OperationInfo op)`
  `void`
  ServiceModelVisitor.`end(OperationInfo op)`

- ## Uses of OperationInfo in org.apache.cxf.service.factory

  Methods in org.apache.cxf.service.factory with parameters of type OperationInfo
  Modifier and Type
  Method
  Description
  `void`
  SimpleMethodDispatcher.`bind(OperationInfo o, Method... methods)`
  `Method`
  SimpleMethodDispatcher.`getPrimaryMethod(OperationInfo op)`

- ## Uses of OperationInfo in org.apache.cxf.service.invoker

  Methods in org.apache.cxf.service.invoker with parameters of type OperationInfo
  Modifier and Type
  Method
  Description
  `void`
  MethodDispatcher.`bind(OperationInfo o, Method... methods)`

- ## Uses of OperationInfo in org.apache.cxf.service.model

  Subclasses of OperationInfo in org.apache.cxf.service.model
  Modifier and Type
  Class
  Description
  `class`
  `UnwrappedOperationInfo`
  Fields in org.apache.cxf.service.model declared as OperationInfo
  Modifier and Type
  Field
  Description
  `protected OperationInfo`
  BindingOperationInfo.`opInfo`
  Methods in org.apache.cxf.service.model that return OperationInfo
  Modifier and Type
  Method
  Description
  `OperationInfo`
  InterfaceInfo.`addOperation(QName oname)`
  Adds an operation to this service.
  `OperationInfo`
  AbstractMessageContainer.`getOperation()`
  Returns the operation of this container.
  `OperationInfo`
  InterfaceInfo.`getOperation(QName oname)`
  Returns the operation info with the given name, if found.
  `OperationInfo`
  BindingOperationInfo.`getOperationInfo()`
  `OperationInfo`
  OperationInfo.`getUnwrappedOperation()`
  `OperationInfo`
  UnwrappedOperationInfo.`getWrappedOperation()`
  Methods in org.apache.cxf.service.model that return types with arguments of type OperationInfo
  Modifier and Type
  Method
  Description
  `Collection<OperationInfo>`
  InterfaceInfo.`getOperations()`
  Returns all operations for this service.
  Methods in org.apache.cxf.service.model with parameters of type OperationInfo
  Modifier and Type
  Method
  Description
  `BindingOperationInfo`
  BindingInfo.`getOperation(OperationInfo oi)`
  `static List<String>`
  ServiceModelUtil.`getOperationInputPartNames(OperationInfo operation)`
  `void`
  InterfaceInfo.`removeOperation(OperationInfo operation)`
  Removes an operation from this service.
  `void`
  OperationInfo.`setUnwrappedOperation(OperationInfo op)`
  Constructors in org.apache.cxf.service.model with parameters of type OperationInfo
  Modifier
  Constructor
  Description
  ``
  `BindingOperationInfo(BindingInfo bi, OperationInfo opinfo)`
  ``
  `FaultInfo(QName fname, QName mname, OperationInfo info)`
  ``
  `MessageInfo(OperationInfo op, MessageInfo.Type type, QName nm)`
  ``
  `UnwrappedOperationInfo(OperationInfo op)`